Subject: Re: Incorrect git-blame result if I use full path to file

From: Robin Rosenberg <[email-masked]>
Date: Mon, 3 Dec 2007 07:55:35 +0100

måndag 03 december 2007 skrev Jeff King:
> On Sun, Dec 02, 2007 at 06:40:36PM -0800, Junio C Hamano wrote:
> 
> > > Even more useful would be to convert
> > > /path/to/repo/file to 'file' internally.
> > 
> > ... that might help "cut & paste from file manager" people, and I think
> > we had comment session for such a patch recently on the list.
> > 
> > Sorry, but I lost track of that the current status of that patch.  Did
> > it die?
> 
> I didn't pay attention to it originally, but I assume you mean the
> recent patch from Robin Rosenberg (cc'd). Looking it over, I see one
> obvious omission: there is no canonicalization of the paths. IOW, I
> think it will break in the presence of symlinks (if I specify
> /path/to/repo/file, /path/to is a symlink to /other/path, I think the
> worktree will end up as /other/path/repo, and fail a string comparison
> with /path/to/repo).

No it didn't die, it's just not worked on too often. I notes, among, other things
that it's test cases were not correct, besides needing more tests.

Symlinks were not covered.

-- robin